# ezQuake Manual: Config Management Variables

## cfg_backup

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Backs up your old config before overwriting it with cfg_save.
0 | No backup of your config.

## cfg_legacy_exec

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
0 | Do not execute config.cfg and frontend.cfg in gamedir ever.
1 | Execute config.cfg and frontend.cfg in gamedir (unless gamedir = qw) like
2 | Execute config.cfg and frontend.cfg even if gamedir = qw.
3 | Execute config.cfg and frontend.cfg even if gamedir = qw.

qw 2.33. If there is no config.cfg or frontend.cfg in gamedir, and gamedir != qw then try executing config.cfg and frontend.cfg in qw.

## cfg_legacy_write

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Will write a small config.cfg to your gamedir when quitting just like qw
0 | Will not write config.cfg.

2.33.

## cfg_save_aliases

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | cfg_save saves aliases.
0 | Won't save aliases.

## cfg_save_binds

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Toggles whether cfg_save saves binds.
0 | Won't save binds.

## cfg_save_cmdline

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Writes your command line in configs made with cfg_save (commented out of
0 | Won't save command line.

course).

## cfg_save_cmds

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Saves commands.
0 | Won't save commands.

## cfg_save_cvars

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | Saves variables.
0 | Won't save variables.

## cfg_save_sysinfo

### Description

Not implemented yet.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

## cfg_save_unchanged

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | Makes cfg_save write all variables to the config file.
0 | Makes cfg_save only write variables that are not default valued to the

config file.

## cfg_save_userinfo

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 2

### Values

value | description
0 | Makes cfg_save not save userinfo variables.
1 | Makes cfg_save save all userinfo variables except spectator/name/topcolor/bottomcolor/skin/team .
2 | Makes cfg_save save all userinfo variables like name/team/teamcolor/rate/msg/skin/w_switch/b_switch/... .

Note :'cfg_save_userinfo 1' is best for teamfortress so you don't get kicked for changing bottom color. Note : cfg_save will never save the password variable, even though technically it is a userinfo variable.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz | ezQDocs